<template>
  <vue-slick-carousel v-bind="settings" class="article-carousel">
    <slot></slot>
  </vue-slick-carousel>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'

export default {
  components: {VueSlickCarousel},
  name: 'ArticleCarousel',
  data: () => ({
    settings: {
      "dots": false,
      "infinite": false,
      "slidesToShow": 3,
      "slidesToScroll": 1,
      "responsive": [
        {
          "breakpoint": 1200,
          "settings": {
            "slidesToShow": 1
          }
        }
      ]
    }
  })
}
</script>
